/* HotelQuery A small test program
 * Copyright 2007 Michael Claudius, Inc. All Rights Reserved.
 * Version 1.2 Last modified 2011.04.11
 * All rights reserved
 */
package hoteldatabase2013;

import java.sql.*;

public class HotelQuery {

    public HotelQuery() {
    }

    public static void main(String args[]) {

        Connection con = null;
        Statement stmt = null;
        // String url = "jdbc:sqlserver://elevsql.unv.rhs.dk:1433;DatabaseName=HotelDatabase2007"; //data source
        String url = "jdbc:mysql://localhost:3306/testHotel"; //data source
        String login = "root",
                passwd = "MikiYu";


// Establish connection
        // alternative it to use Driver class. But then you must add ClassNotFoundException
        // in the throws clause in the header of main
        // Driver driver = new com.microsoft.sqlserver.jdbc.SQLServerDriver();
        // DriverManager.registerDriver(driver);

        try {
            //Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver");
            Class.forName("com.mysql.jdbc.Driver");
            ;
        } catch (java.lang.ClassNotFoundException ex) {
            System.err.print("ClassNotFoundException: ");
            System.err.println(ex.getMessage());
        }

        try {
            System.out.println("Connecting");
            con = DriverManager.getConnection(url, login, passwd);
            stmt = con.createStatement();

            String sqlQuery = "select * from guest";
            ResultSet rs = stmt.executeQuery(sqlQuery);

            //assignment 5 -- fixed sql-sentences
            while (rs.next()) {
                System.out.println("column 1: " + rs.getInt(1));
                System.out.println("column 2: " + rs.getString("name"));
                System.out.println("column 3: " + rs.getString("address"));
            }

            // assignment 5 -- dynamic sql-sentences
            String sqlQue = "select * from guest";
            rs = stmt.executeQuery(sqlQue);
            ResultSetMetaData rsMeta = rs.getMetaData();

            int colNo = rsMeta.getColumnCount();
            String colNames = "\t";
            for (int i = 1; i <= colNo; i++) {
                colNames = colNames + rsMeta.getColumnLabel(i) + "\t";
            }
            System.out.println("columns:" + colNames);

            while (rs.next()) {
                String record = "\t";
                for (int i = 1; i <= colNo; i++) {
                    record = record + rs.getString(i) + "\t";
                }
                System.out.println("record: " + record);
            }



        } catch (SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }

       
        System.out.println("closing");
        try {
            stmt.close();
            if (con != null) {
                con.close();
            }

        } catch (SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }
    }
}
