/* OutdatedBooking.java
 * Copyright 2011 Michael Claudius, Inc. All Rights Reserved.
 * Last modified 2003.11.04, 2005.11.15, 2011.04.11
 * All rights reserved
 */
package hoteldatabase2013;

import java.sql.*;

public class OutdatedBooking {

    public static void main(String args[]) {

        Connection con = null;
        Statement stmt = null;
        // String url = "jdbc:sqlserver://elevsql.unv.rhs.dk:1433;DatabaseName=HotelDatabase2007"; //data source
        String url = "jdbc:mysql://localhost:3306/testHotel"; //data source
        String login = "root",
                passwd = "MikiYu";
        try {
            //Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver");
            Class.forName("com.mysql.jdbc.Driver");
        } catch (java.lang.ClassNotFoundException ex) {
            System.err.print("ClassNotFoundException: ");
            System.err.println(ex.getMessage());
        }

        try {
            System.out.println("Connecting");
            con = DriverManager.getConnection(url, login, passwd);
            stmt = con.createStatement();

            String checkDate = "2013.03.01";
            String outdatedBookings = "select g.name, b.hotel_no, h.name, b.room_no, b.date_from from"
                    + " Guest g, Booking b, Hotel h"
                    + " where date_from < '2013-03-01' and"
                    + " g.guest_no = b.guest_no and h.hotel_no = b.hotel_no";





//            String outdatedBookings = " select g.name, h.name, b.room_no, b.date_from, b.date_to"
//                    + " from Hotel h, Guest g, Booking b"
//                    + " where g.guest_no = b.guest_no and"
//                    + " h.hotel_no = b.hotel_no and"
//                    + " b.date_from < \'" + checkDate + "\'";

            ResultSet rs = stmt.executeQuery(outdatedBookings);
            rs = stmt.executeQuery(outdatedBookings);

            ResultSetMetaData rsMeta = rs.getMetaData();

            int colNo = rsMeta.getColumnCount();
            String colNames = "\t";
            for (int i = 1; i <= colNo; i++) {
                colNames = colNames + rsMeta.getColumnLabel(i) + "\t";
            }
            System.out.println("columns: \n" + colNames);

            while (rs.next()) {
                String record = "\t";
                for (int i = 1; i <= colNo; i++) {
                    record = record + rs.getString(i) + "\t";
                }
                System.out.println(record);
            }




        } catch (SQLException ex) {
            System.err.print("SQLException insert: ");
            System.err.println(ex.getMessage());
        }

        System.out.println("closing");
        try {
            stmt.close();
            if (con != null) {
                con.close();
            }

        } catch (SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }
    }
}// CMC_FindLateLend

